Equip Skill Tiers (YEP)

From Yanfly.moe Wiki
Jump to navigation Jump to search


System

This is a plugin created for RPG Maker MV.

For help on how to install plugins, click here.

For help on how to update plugins, click here.

Got errors with your RPG Maker MV plugin? Click here.

Download

Required Plugins

The following plugins are required in order to use this plugin.

Place the following plugins above this plugin located in the Plugin Manager.

Yanfly Engine Plugins

This plugin is a part of the Yanfly Engine Plugins library.

Click here if you want to help support Team Yanfly on Patreon.

Introduction

This plugin requires YEP_EquipBattleSkills. Make sure this plugin is located
under YEP_EquipBattleSkills in the plugin list.

This plugin imposes a limit upon actors to limit what skills can be equipped
based on tiers. The player must abide by the limits before being able to
exit the menu allowing for better control over gameplay balance.

Notetags

NotetagsMV.png

RPG Maker MV's editor is unable to allow for custom traits/properties that a game dev may wish to associate with a database object, event, map, etc. Notetags are used to work around such limitations by allowing the game dev to tag certain traits/properties using specific Notetags declared by the related plugin.

Here is a list of Notetag(s) that you may use.

The following are notetags that alter the tier settings of skills.

Skill Notetag
  <Skill Tier: x>
  Sets the skill's tier to x, making it limited by the restrictions applied
  by the actor.

Actor, Class, Skill, Weapon, Armor, and State Notetags
  <Skill Tier x Slots: +y>
  <Skill Tier x Slots: -y>
  Increases or decreases the skill tier for tier x by y slots. The changes
  made here do not go under 0 nor do they bypass the maximum battle skills
  equip limit.

Changelog

Version 1.03:
- Updated for RPG Maker MV version 1.5.0.

Version 1.02:
- Updated for RPG Maker MV version 1.3.2.

Version 1.01:
- Added anti-crash measures when equipping skills.

Version 1.00:
- Finished Plugin!